Skip to main content

Get members of a support conversation

GET/v2/conversations/{conversationId}/members
API version
v2
Request method
GET
Operation ID
conversation-get-conversation-members

Request​

  • conversationIdstring (uuid)required

Responses​

Format
application/json
Description

The members of the conversation.

  • Array[
    • *
    ]
Content-Type: application/json

[
null
]
{
"items": {
"allOf": [
{
"properties": {
"active": {
"type": "boolean"
},
"avatarRefId": {
"type": "string"
},
"clearName": {
"type": "string"
},
"isEmployee": {
"type": "boolean"
},
"userId": {
"type": "string"
}
},
"required": [
"userId"
],
"type": "object"
},
{
"properties": {
"active": {
"type": "boolean"
}
},
"required": [
"active"
],
"type": "object"
}
]
},
"type": "array"
}

Usage examples​

$ curl \
--fail \
--location \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v2/conversations/f0f86186-0a5a-45b2-aa33-502777496347/members
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.conversation.getConversationMembers({
"conversationId": "f0f86186-0a5a-45b2-aa33-502777496347"
});

assertStatus(response, 200);

use \Mittwald\ApiClient\Generated\V2\Clients\Conversation\GetConversationMembers\GetConversationMembersRequest;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

$request = (new GetConversationMembersRequest(
conversationId: "f0f86186-0a5a-45b2-aa33-502777496347"
));
$response = $client->conversation()->getConversationMembers($request);

var_dump($response->getBody();

On this page